Subject: Re: [RFC PATCH 2/3] net: sparx5: Add Sparx5 switchdev driver

From: Russell King - ARM Linux admin <[email-masked]>
Date: Mon, 30 Nov 2020 14:50:31 +0000

On Mon, Nov 30, 2020 at 03:30:23PM +0100, Steen Hegelund wrote:
> On 29.11.2020 11:30, Russell King - ARM Linux admin wrote:
> > EXTERNAL EMAIL: Do not click links or open attachments unless you know the content is safe
> > 
> > On Sun, Nov 29, 2020 at 10:52:45AM +0000, Russell King - ARM Linux admin wrote:
> > > There are other issues too.
> > 
> > This is also wrong:
> > 
> > +               if (port->ndev && port->ndev->phydev)
> > +                       status->link = port->ndev->phydev->link;
> > 
> > phylink already deals with that situation.
> 
> So if I need the link state, what interface should I then use to get it?

The network carrier state reflects the link state. As I've said,
using the ethtool_op_get_link() is entirely suitable for the
ethtool .get_link method - other network drivers use this with
phylink and it works.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!